QuantLib: RiskyFixedBond Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
RiskyFixedBond Class Reference

`#include <ql/experimental/credit/riskybond.hpp>`

Inheritance diagram for RiskyFixedBond:
[legend]

## Public Member Functions
| RiskyFixedBond (const std::string &name, const Currency &ccy, Real recoveryRate, const Handle< DefaultProbabilityTermStructure > &defaultTS, const Schedule &schedule, Real rate, const DayCounter &dayCounter, BusinessDayConvention paymentConvention, const std::vector< Real > &notionals, const Handle< YieldTermStructure > &yieldTS, Natural settlementDays=0)
std::vector< ext::shared_ptr< CashFlow > > | cashflows () const
Real | notional (Date date=Date::minDate()) const
Date | effectiveDate () const
Date | maturityDate () const
std::vector< ext::shared_ptr< CashFlow > > | interestFlows () const
std::vector< ext::shared_ptr< CashFlow > > | notionalFlows () const
Public Member Functions inherited from RiskyBond
| RiskyBond (const std::string &name, const Currency &ccy, Real recoveryRate, const Handle< DefaultProbabilityTermStructure > &defaultTS, const Handle< YieldTermStructure > &yieldTS, Natural settlementDays=0, const Calendar &calendar=Calendar())
std::vector< ext::shared_ptr< CashFlow > > | expectedCashflows ()
Real | riskfreeNPV () const
Real | totalFutureFlows () const
std::string | name () const
Currency | ccy () const
Handle< YieldTermStructure > | yieldTS () const
Handle< DefaultProbabilityTermStructure > | defaultTS () const
Real | recoveryRate () const
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
Public Member Functions inherited from Instrument
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const ext::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
virtual void | setupArguments (PricingEngine::arguments *) const
virtual void | fetchResults (const PricingEngine::results *) const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from RiskyBond
void | setupExpired () const
void | performCalculations () const
Protected Member Functions inherited from Instrument
void | calculate () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from RiskyBond
Natural | settlementDays_
Calendar | calendar_
Protected Attributes inherited from Instrument
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
ext::shared_ptr< PricingEngine > | engine_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Default risky fixed bond